﻿#language: ru

@quality_control

Функционал: 03_quality_control. Открытие отчетов и проверка формирования их шапок

Сценарий: 03_quality_control. Отчет Анализ выходов
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ выходов"
	Тогда открылось окно 'Анализ выходов'
	И Я в отчете устанавливаю период "01.11.2018" "12.12.2018"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R8C12" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'                                            | 'Нужен прошлый период: Нет'       | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''          | ''           |
		| ''                                                      | 'Период: 01.11.2018 - 12.12.2018' | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''          | ''           |
		| 'Отбор:'                                                | 'Скрыть выпуски брака'            | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''          | ''           |
		| ''                                                      | ''                                | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''          | ''           |
		| 'Рабочий центр выпуск'                                  | 'Выпуск'                          | ''                 | ''             | ''             | 'Расход материала' | ''                 | ''             | ''             | 'Процент выхода' | ''          | ''           |
		| 'Номенклатура выпуск, Ед. изм., Ед. изм. 1, Ед. изм. 2' | 'Количество'                      | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Количество'       | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Норма'          | 'Факт'      | 'Отклонение' |
		| 'Серия выпуск'                                          | ''                                | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''          | ''           |
	И Я закрываю окно 'Анализ выходов'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Анализ участка варки сыра
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ участка варки сыра"
	Тогда открылось окно 'Анализ участка варки сыра'
	И Я в отчете устанавливаю период "01.11.2018" "10.01.2019"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И в поле 'Базовая жирность, %' я ввожу текст '3,400'
	И в поле 'Процент усушки' я ввожу текст '0,50'
	И я нажимаю кнопку выбора у поля "Показатель влага"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Целое'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Показатель pH"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Расчет от других' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Показатель жир в сухом веществе"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Расчет от других' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Вид анализа смеси"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю кнопку выбора у поля "Вид анализа сыра"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка варки сыра'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R16C17" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'                    | 'Рабочий центр: Сырцех'                             | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Период: 01.11.2018 - 10.01.2019'                   | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Базовая жирность, %: 3,400'                        | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Процент усушки: 0,50'                              | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Показатель влага: Целое'                           | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Показатель pH: Расчет от других'                   | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Показатель жир в сухом веществе: Расчет от других' | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Вид анализа смеси: Готовый продукт'                | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Вид анализа сыра: Готовый продукт'                 | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | 'Жирность обрата, %: 0,05'                          | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| ''                              | ''                                                  | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Продукция'                     | 'Статус'                                            | ''               | ''                                   | ''     | ''        | ''       | ''         | ''                 | ''   | ''     | ''      | ''   | ''     | ''      | ''   | ''     |
		| 'Варка'                         | 'Выпуск сыра'                                       | ''               | 'Расход базисного молока на кг сыра' | ''     | 'ЖКГ'     | ''       | ''         | 'Жир в сухом в-ве' | ''   | ''     | 'Влага' | ''   | ''     | 'pH'    | ''   | ''     |
		| ''                              | 'из под пресса'                                     | 'условно-зрелый' | 'норма'                              | 'факт' | 'В смеси' | 'В сыре' | '% потерь' | 'Норма'            | ''   | 'Факт' | 'Норма' | ''   | 'Факт' | 'Норма' | ''   | 'Факт' |
		| ''                              | ''                                                  | ''               | ''                                   | ''     | ''        | ''       | ''         | 'от'               | 'до' | ''     | 'от'    | 'до' | ''     | 'от'    | 'до' | ''     |
	И Я закрываю окно 'Анализ участка варки сыра'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Анализ участка соления
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ участка соления"
	Тогда открылось окно 'Анализ участка соления'
	И Я в отчете устанавливаю период "01.11.2018" "18.02.2019"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Вид анализа влага"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Показатель влага"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Расчет от других' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю кнопку выбора у поля "Рабочий центр варка"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Анализ участка соления'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R10C16" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'                    | 'Период: 01.11.2018 - 18.02.2019'    | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''                              | 'Рабочий центр: Выпуск сыворотки'    | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''                              | 'Вид анализа влага: Готовый продукт' | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''                              | 'Показатель влага: Расчет от других' | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''                              | 'Рабочий центр варка: Сырцех'        | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| ''                              | ''                                   | ''         | ''     | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
		| 'Продукция'                     | 'Статус'                             | ''         | ''     | 'Время нахождения в бассейне (часы)' | ''             | 'Вес'   | ''      | ''       | ''  | 'Шт'   | ''      | ''        | 'Брак' | ''  | ''   |
		| 'Серия'                         | 'Влага после пресса'                 | ''         | ''     | 'Норма времени'                      | 'Факт времени' | 'Вход'  | 'Выход' | 'Потери' | '%' | 'Вход' | 'Выход' | 'Разница' | 'кг'   | '%' | 'шт' |
		| ''                              | 'Норма от'                           | 'Норма до' | 'Факт' | ''                                   | ''             | ''      | ''      | ''       | ''  | ''     | ''      | ''        | ''     | ''  | ''   |
	И Я закрываю окно 'Анализ участка соления'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Анализ расхода материалов
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ расхода материалов"
	Тогда открылось окно 'Анализ расхода материалов'
	И я нажимаю на кнопку 'Сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R1C1:R3C13" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Номенклатура продукции'  | 'Характеристика продукции' | 'Серия продукции'               | ''                                     | 'Выпуск продукции' | ''            | 'Расход материалов' | ''           | ''            | ''           | ''      | 'Время внесения (мин)' | ''     |
		| 'Номенклатура материала'  | 'Характеристика материала' | 'Заменяемый материал'           | 'Характеристика заменяемого материала' | 'Количество'       | 'Количество1' | 'Норма'             | 'Факт'       | ''            | 'Отклонение' | ''      | 'Норма'                | 'Факт' |
		| 'Серия материала'         | ''                         | ''                              | ''                                     | ''                 | ''            | 'Количество'        | 'Количество' | 'Количество1' | 'Количество' | '%'     | ''                     | ''     |
	И Я закрываю окно 'Анализ расхода материалов'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Баланс жира и белка
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Баланс жира и белка"
	Тогда открылось окно 'Баланс жира и белка'
	И Я в отчете устанавливаю период "01.11.2018" "13.11.2018"
	И я нажимаю на кнопку 'Сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R1C1:R4C6" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Рабочий центр'  | 'Вес'        | 'Жир'          | ''                | 'Белок'         | ''                 |
		| 'Сценарий'       | 'Количество' | 'Процент жира' | 'Количество жира' | 'Процент белка' | 'Количество белка' |
		| 'Номенклатура'   | ''           | ''             | ''                | ''              | ''                 |
		| 'Сценарий'       | ''           | ''             | ''                | ''              | ''                 |
	И Я закрываю окно 'Баланс жира и белка'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Контроль времени этапов производства
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Контроль времени этапов производства"
	Тогда открылось окно 'Контроль времени этапов производства'
	И Я в отчете устанавливаю период "01.11.2018" "13.11.2018"
	И я нажимаю на кнопку 'Сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R6C7" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'                    | 'Период: 01.11.2018 - 13.11.2018' | ''               | ''               | ''              | ''                 | ''           |
		| ''                              | ''                                | ''               | ''               | ''              | ''                 | ''           |
		| 'Номенклатура'                  | ''                                | 'Сырцех'         | ''               | ''              | ''                 | ''           |
		| 'Характеристика'                | 'Количество выпуск'               | 'Дата входа'     | 'Дата выхода'    | 'Норма времени' | 'Время нахождения' | 'Отклонение' |
		| 'Серия'                         | ''                                | ''               | ''               | ''              | ''                 | ''           |
	И Я закрываю окно 'Контроль времени этапов производства'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: Отчет По лабораторным анализам
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Отчет по лабораторным анализам"
	Тогда открылось окно 'Отчет по лабораторным анализам'
	И Я в отчете устанавливаю период "01.11.2018" "13.11.2018"
	И я нажимаю на кнопку 'Сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R8C7" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'                    | 'Период: 01.11.2018 - 13.11.2018' | ''                    | ''                    | ''                     | ''              | ''                        |
		| ''                              | ''                                | ''                    | ''                    | ''                     | ''              | ''                        |
		| 'Номенклатура'                  | ''                                | 'Ответственный'       | 'Значение показателя' | 'Нормативное значение' | ''              | ''                        |
		| 'Серия'                         | ''                                | ''                    | ''                    | 'Значение'             | 'Значение доп.' | 'Соответствует нормативу' |
		| 'Вид анализа'                   | ''                                | ''                    | ''                    | ''                     | ''              | ''                        |
		| 'Показатель'                    | ''                                | ''                    | ''                    | ''                     | ''              | ''                        |
		| 'Дата выполнения'               | 'От начала варки (мин.)'          | ''                    | ''                    | ''                     | ''              | ''                        |
	И Я закрываю окно 'Отчет по лабораторным анализам'
	И я жду закрытия окна "Отчет по лабораторным анализам" в течение 20 секунд
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Динамика показателей серии
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Динамика показателей складов серии"
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '31'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Динамика показателей складов серии'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:' | 'Номенклатура: Российский 50%' |
		| ''           | 'Серия: 20.05.2051/31'         |
	И Я закрываю окно 'Динамика показателей складов серии'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет Анализ количества брака в разрезе причин
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ количества брака в разрезе причин"
	Тогда открылось окно 'Анализ количества брака в разрезе причин'
	И Я в отчете устанавливаю период "01.10.2019" "23.10.2019"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R6C3" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'    | 'Период отчета: 01.10.2019 - 23.10.2019' | ''               |
		| ''              | ''                                       | ''               |
		| 'Рабочий центр' | 'Количество, кг'                         | 'Количество, шт' |
		| 'Номенклатура'  | ''                                       | ''               |
		| 'Причина брака' | ''                                       | ''               |
	И Я закрываю окно 'Анализ количества брака в разрезе причин'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'

Сценарий: 03_quality_control. Отчет По показателям складов
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Отчет по показателям складов"
	Тогда открылось окно 'Отчет по показателям складов'
	И я устанавливаю флаг 'Период:'
	И я жду доступности элемента с именем "Период1ДатаНачала" в течение 20 секунд
	И в поле с именем 'Период1ДатаНачала' я ввожу текст '01.01.2018'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда область "R2C1:R7C6" табличного документа "ОтчетТабличныйДокумент" равна по шаблону:
		| 'Параметры:'     | 'Период: 01.01.2018 - *' | ''         | ''   | ''                        | ''              |
		| ''               | ''                       | ''         | ''   | ''                        | ''              |
		| 'Склад'          | 'Значение'               | 'Норматив' | ''   | ''                        | 'Ответственный' |
		| 'Дата'           | ''                       | 'От'       | 'До' | 'Соответствует нормативу' | ''              |
		| 'Вид показателя' | ''                       | ''         | ''   | ''                        | ''              |
		| 'Показатель'     | ''                       | ''         | ''   | ''                        | ''              |
	И Я закрываю окно 'Отчет по показателям складов'
	Тогда открылось окно 'Отчеты по производству'
	И я закрываю окно 'Отчеты по производству'